searchData={"content_type":"text/markdown","items":[{"doc":"","ref":"ExIceberg.html","title":"ExIceberg","type":"module"},{"doc":"This module provides functions to interact with the catalog.","ref":"ExIceberg.Catalog.html","title":"ExIceberg.Catalog","type":"behaviour"},{"doc":"catalog = ExIceberg.Catalog.new(\"my_catalog\", :rest, %{})\n\n    {:ok, catalog, _} = ExIceberg.Catalog.create_namespace(catalog, \"my_namespace\", %{})\n    {:ok, catalog, _} = ExIceberg.Catalog.list_namespaces(catalog)\n\n  As you see in the example above, you need to pass the reasign and pass the catalog to the next function.","ref":"ExIceberg.Catalog.html#module-usage-example","title":"Usage Example - ExIceberg.Catalog","type":"behaviour"},{"doc":"Creates a new namespace in the catalog.","ref":"ExIceberg.Catalog.html#create_namespace/3","title":"ExIceberg.Catalog.create_namespace/3","type":"function"},{"doc":"iex> ExIceberg.Catalog.create_namespace(catalog, \"my_namespace\", %{})\n    {:ok, catalog, %{}}","ref":"ExIceberg.Catalog.html#create_namespace/3-examples","title":"Examples - ExIceberg.Catalog.create_namespace/3","type":"function"},{"doc":"","ref":"ExIceberg.Catalog.html#c:create_namespace/3","title":"ExIceberg.Catalog.create_namespace/3","type":"callback"},{"doc":"Drops a namespace from the catalog.","ref":"ExIceberg.Catalog.html#drop_namespace/2","title":"ExIceberg.Catalog.drop_namespace/2","type":"function"},{"doc":"iex> ExIceberg.Catalog.drop_namespace(catalog, \"my_namespace\")\n    {:ok, catalog, %{}}","ref":"ExIceberg.Catalog.html#drop_namespace/2-examples","title":"Examples - ExIceberg.Catalog.drop_namespace/2","type":"function"},{"doc":"","ref":"ExIceberg.Catalog.html#c:drop_namespace/2","title":"ExIceberg.Catalog.drop_namespace/2","type":"callback"},{"doc":"Lists the namespaces in the catalog.","ref":"ExIceberg.Catalog.html#list_namespaces/1","title":"ExIceberg.Catalog.list_namespaces/1","type":"function"},{"doc":"iex> ExIceberg.Catalog.list_namespaces(catalog)\n    {:ok, catalog, [\"namespace1\", \"namespace2\"]}","ref":"ExIceberg.Catalog.html#list_namespaces/1-examples","title":"Examples - ExIceberg.Catalog.list_namespaces/1","type":"function"},{"doc":"","ref":"ExIceberg.Catalog.html#c:list_namespaces/1","title":"ExIceberg.Catalog.list_namespaces/1","type":"callback"},{"doc":"Loads the metadata for a namespace in the catalog.","ref":"ExIceberg.Catalog.html#load_namespace_metadata/2","title":"ExIceberg.Catalog.load_namespace_metadata/2","type":"function"},{"doc":"iex> ExIceberg.Catalog.load_namespace_metadata(catalog, \"my_namespace\")\n    {:ok, catalog, %{}}","ref":"ExIceberg.Catalog.html#load_namespace_metadata/2-examples","title":"Examples - ExIceberg.Catalog.load_namespace_metadata/2","type":"function"},{"doc":"","ref":"ExIceberg.Catalog.html#c:load_namespace_metadata/2","title":"ExIceberg.Catalog.load_namespace_metadata/2","type":"callback"},{"doc":"Checks if a namespace exists in the catalog.","ref":"ExIceberg.Catalog.html#namespace_exists?/2","title":"ExIceberg.Catalog.namespace_exists?/2","type":"function"},{"doc":"iex> ExIceberg.Catalog.namespace_exists?(catalog, \"my_namespace\")\n    {:ok, catalog, true}","ref":"ExIceberg.Catalog.html#namespace_exists?/2-examples","title":"Examples - ExIceberg.Catalog.namespace_exists?/2","type":"function"},{"doc":"","ref":"ExIceberg.Catalog.html#c:namespace_exists?/2","title":"ExIceberg.Catalog.namespace_exists?/2","type":"callback"},{"doc":"Defines a catalog to be accessed by the client.","ref":"ExIceberg.Catalog.html#new/3","title":"ExIceberg.Catalog.new/3","type":"function"},{"doc":"iex> ExIceberg.Catalog.new(\"my_catalog\", :rest, %{})\n    %ExIceberg.Rest.Catalog{name: \"my_catalog\", config: %{}}","ref":"ExIceberg.Catalog.html#new/3-examples","title":"Examples - ExIceberg.Catalog.new/3","type":"function"},{"doc":"* `:rest` - REST API catalog.","ref":"ExIceberg.Catalog.html#new/3-catalog-types","title":"Catalog Types - ExIceberg.Catalog.new/3","type":"function"},{"doc":"The configuration for the catalog is specific to the catalog type.\n\n  * [Rest Catalog Configuration](`ExIceberg.Rest.Config`)","ref":"ExIceberg.Catalog.html#new/3-configuration","title":"Configuration - ExIceberg.Catalog.new/3","type":"function"},{"doc":"Updates the properties of a namespace in the catalog.","ref":"ExIceberg.Catalog.html#update_namespace_properties/4","title":"ExIceberg.Catalog.update_namespace_properties/4","type":"function"},{"doc":"iex> ExIceberg.Catalog.update_namespace_properties(catalog, \"my_namespace\", [], %{})\n    {:ok, catalog, %{}}","ref":"ExIceberg.Catalog.html#update_namespace_properties/4-examples","title":"Examples - ExIceberg.Catalog.update_namespace_properties/4","type":"function"},{"doc":"","ref":"ExIceberg.Catalog.html#c:update_namespace_properties/4","title":"ExIceberg.Catalog.update_namespace_properties/4","type":"callback"},{"doc":"","ref":"ExIceberg.Catalog.html#t:t/0","title":"ExIceberg.Catalog.t/0","type":"type"},{"doc":"Configuration for the Rest Catalog.","ref":"ExIceberg.Rest.Config.html","title":"ExIceberg.Rest.Config","type":"module"},{"doc":"* `uri` - `https://rest-catalog/ws`: URI identifying the REST Server.\n  * `credential` - `t-1234:secret`: Credential to use for OAuth2 credential flow when initializing the catalog.\n  * `token` - `FEW23.DFSDF.FSDF`: Bearer token value to use for the `Authorization` header.\n  * `scope` - `openid offline corpds:ds:profile`: Desired scope of the requested security token (default: `catalog`).\n  * `resource` - `rest_catalog.iceberg.com`: URI for the target resource or service.\n  * `audience` - `rest_catalog`: Logical name of the target resource or service.\n  * `grant_type` - `client_credentials`: Grant type to use for client credentials authentication. (default: `client_credentials`)\n  * `oauth2_server_uri` - `https://auth-service/cc`: Authentication URL to use for client credentials authentication (default: `uri` + 'v1/oauth/tokens').\n  * `warehouse` - `sandbox`: Warehouse to use for the catalog.","ref":"ExIceberg.Rest.Config.html#module-fields","title":"Fields - ExIceberg.Rest.Config","type":"module"},{"doc":"","ref":"ExIceberg.Rest.Config.html#merge/3","title":"ExIceberg.Rest.Config.merge/3","type":"function"},{"doc":"","ref":"ExIceberg.Rest.Config.html#new/1","title":"ExIceberg.Rest.Config.new/1","type":"function"},{"doc":"","ref":"ExIceberg.Rest.Config.html#parse/1","title":"ExIceberg.Rest.Config.parse/1","type":"function"},{"doc":"","ref":"ExIceberg.Rest.Config.html#split_credential/1","title":"ExIceberg.Rest.Config.split_credential/1","type":"function"},{"doc":"","ref":"ExIceberg.Rest.Config.html#t:t/0","title":"ExIceberg.Rest.Config.t/0","type":"type"}],"producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}